# -*- coding: utf-8 -*-
from odoo import models
from odoo.addons.saas_worker.const import WEBSITE

class Http(models.AbstractModel):
    _inherit = 'ir.http'

    def session_info(self):
        result = super(Http, self).session_info()

        if not self.env.user.has_group('base.group_user'):
            return result

        # check livechat backend availability
        available = False # TBE: Module disabled after a request from FP, read commit message for more details.
        if available:
            result['support_origin'] = WEBSITE
        else:
            result.pop('support_token', False)

        return result
